Skip to main content
GET
/
api
/
lakehouse
/
technologies
/
{key}
Get Brand Technology
curl --request GET \
  --url https://api.merchantops.ai/api/lakehouse/technologies/{key}
{
  "key": "<string>",
  "organization_id": "<string>",
  "source_document_id": "<string>",
  "technology_name": "<string>",
  "applicable_categories": [],
  "benefits": [],
  "brand": "<string>",
  "createdAt": "<string>",
  "created_at": "<string>",
  "description": "<string>",
  "extracted_at": "<string>",
  "extracted_by_worker": "<string>",
  "extraction_confidence": 123,
  "lastModifiedAt": "<string>",
  "linked_product_keys": [],
  "name": "<string>",
  "page_number": 123,
  "page_type": "<string>",
  "product_names": [],
  "related_product_types": [],
  "related_products": [],
  "source_document_url": "<string>",
  "specifications": {},
  "technology_type": "<string>",
  "use_cases": [],
  "visual_asset_urls": []
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Response

Successful Response

Response model for a brand technology.

key
string
required
organization_id
string
required
source_document_id
string
required
technology_name
string
required
applicable_categories
string[]
benefits
string[]
brand
string | null
createdAt
string | null
created_at
string | null
description
string | null
extracted_at
string | null
extracted_by_worker
string | null
extraction_confidence
number | null
lastModifiedAt
string | null
linked_product_keys
string[]
name
string | null
page_number
integer | null
page_type
string | null
product_names
string[]
source_document_url
string | null
specifications
Specifications · object
technology_type
string | null
use_cases
string[]
visual_asset_urls
string[]